## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate javascriptcore-rs-sys

Name:           rust-%{crate}
Version:        0.3.3
Release:        %autorelease
Summary:        Sys functions for the Rust bindings of the javacriptcore library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/javascriptcore-rs-sys
Source:         %{crates_source}
# Initial patched metadata
# * temporarily downgrade system-deps from 5 to 3
Patch0:         javascriptcore-rs-sys-fix-metadata.diff
# * fix import path in abi test
Patch1:         0001-fix-import-path-in-abi-test.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Sys functions for the Rust bindings of the javacriptcore library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(javascriptcoregtk-4.0)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages
which use "dox" feature of "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_28-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v2_28-devel %{_description}

This package contains library source intended for building other packages
which use "v2_28" feature of "%{crate}" crate.

%files       -n %{name}+v2_28-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(javascriptcoregtk-4.0)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip test for an exact match with the webkit2gtk3-jsc library version
%cargo_test -- -- --skip cross_validate_constants_with_c
%endif

%changelog
* Tue Jan 18 2022 Fabio Valentini <decathorpe@gmail.com> 0.3.3-2
- Skip test for an exact match with the webkit2gtk3-jsc library version

* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#2010390

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 12 17:17:20 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.2.0-1
- Initial package

